Subject: Ticket Assigned - Article Feedback - When will I receive my order?
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Thu, 07 Jul 2022 13:12:15 +0000

Hi Hilah Alolayan,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - When will I receive my order? Feedback for:  When will I receive my order? This is really annoying and irritating…. 
I haven’t received my shipment since 2nd July.  
I call your customer care several times and raise a complaint, they registered and said with in 48hrs I will receive the shipment. I waited and complained third day and response was same. The expected maximum date of delivery is 6th July and this is dress which planning for Eid. Your customer agent was asking me to wait another 48hrs for the feedback. Which mean you want me to wait your shipment on Eid holiday!!! Need a corrective action with valid justification. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4598366